If you have resources in 2.0, they aren't going to hurt you to learn from. Many people aren't using 3.5 at this point anyway, plus most of what is added in .NET 3.0 and 3.5 are add-ons to 2.0.

Of course, if it doesn't matter what version you need to use, then I'd almost always recommend using the most recent version.